Welcome, Guest. Please login or register.
Did you miss your activation email?
March 30, 2017, 01:46:35 pm

Login with username, password and session length
Search:     Advanced search
Savage: XR is a new patch for Savage, created by the Newerth.com staff. The XR1.1 Client is out now! Download it now!
187605 Posts in 10789 Topics by 17799 Members
Latest Member: Demonhunted
* Home Forum Wiki Help Search Login Register
+  Newerth Forums
|-+  Savage XR
| |-+  Support Forum
| | |-+  INFO: Fedora Core 10 x86_64 + XR beta
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: INFO: Fedora Core 10 x86_64 + XR beta  (Read 4264 times)
MNKyDeth
Newbie
*
Posts: 45


View Profile
« on: February 15, 2009, 05:32:19 am »

Just a heads up to those using Fedora Core 10 x86_64 and the XR beta, you may need to grab some libs from the package manager.

I already had many things installed on my machine but I ran into libXpm, libXft, libXinerama, glib2 and gamin <-- wich is a required package for glib2.

Open a terming and type,

yum install libXpm.i386 libXft.i386 libXinerama.i386 glib2.i386 gamin.i386

If I missed any libs that are needed to run the game please post wich libs I missed as I stated I might have already had some installed that I wouldn't know that the game requires.
« Last Edit: February 15, 2009, 12:14:41 pm by Django » Logged
Django
Administrator
Legendary Member
*****
Posts: 2557



View Profile
« Reply #1 on: February 15, 2009, 12:13:38 pm »

Just a heads up to those using Fedora Core 10 x86_64 and the XR beta, you may need to grab some libs from the package manager.

I already had many things installed on my machine but I ran into libXpm, libXft, libXinerama, glib2 and gamin <-- wich is a required package for glib2.

Open a terming and type,

yum install libXpm.i386 libXft.i386 libXinerama.i386 glib2.i386 gamin.i386

If I missed any libs that are needed to run the game please post wich libs I missed as I stated I might have already had some installed that I wouldn't know that the game requires.

Cheers for the info will sticky it Smiley
Logged
joshmule
Newbie
*
Posts: 4


View Profile
« Reply #2 on: June 11, 2009, 04:34:03 am »

Good info...  I've also found that I needed to install alsa-plugins-pulseaudio.i386 and (I'm using the rpmfusion nvidia binary drivers) xorg-x11-drv-nvidia-libs.i386 when using the x86_64 arch Fedoras


Also, a tip with yum, this type of syntax now works:

yum install libXinerama.so.1 libjpeg.so.62 libSDL-1.2.so.0 libGL.so.1 libGLU.so.1

... so you don't even have to identify the package in which the needed libs live.
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.20 | SMF © 2006-2007, Simple Machines Valid XHTML 1.0! Valid CSS!
Page created in 0.043 seconds with 19 queries.